-- suitable for batch processing: mysql -u psrdba -p < angsep_query-formatted.sql
use psrchive;
-- Performing a conesearch around position RA=272.46=18:09:50.4 and DEC=-19.73=-19:43:48
-- This should pick up at least J1809-1943 and J1810-2005 (within 0.5deg of that position).
SELECT '<TD>',pulsar_name,'</TD>','<TD>',period,'</TD>','<TD>', dm,'</TD>','<TD>', freq,'</TD>','<TD>',
--	raj_hour, raj_minute, raj_second,
--	(raj_hour+raj_minute/60.+raj_second/3600.)*15 as RA,
--	decj_degree, decj_minute, decj_second,
--	(abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree) as DECL,
        ( acos(  cos( ( (raj_hour+raj_minute/60.+raj_second/3600.)*15 - 272.46) * pi() / 180. )
	       * cos( (abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree) * pi() / 180. )
	       * cos( -19.73 * pi() / 180. )
	       + sin( (abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree) * pi() / 180. )
	       * sin( -19.73 * pi() / 180. ) 
	     ) * 180. / pi() ) as angsep, '</TD>'
FROM observations
WHERE ( acos(  cos( ( (raj_hour+raj_minute/60.+raj_second/3600.)*15 - 272.46) * pi() / 180. )
	       * cos( (abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree) * pi() / 180. )
	       * cos( -19.73 * pi() / 180. )
	       + sin( (abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree) * pi() / 180. )
	       * sin( -19.73 * pi() / 180. ) 
	     ) * 180. / pi() ) <  0.5
ORDER by angsep;
-- period;
