DROP TEMPORARY TABLE IF EXISTS s70;

CREATE TEMPORARY TABLE s70 (
	file_id SMALLINT UNSIGNED AUTO_INCREMENT,
	filename VARCHAR(30),
	fileloc VARCHAR(100),
	hdrver VARCHAR(10),
	src_name VARCHAR(20),
	raj VARCHAR(15),
	decj VARCHAR(15),
	rajd FLOAT,
	decjd FLOAT,
	bmaj FLOAT,
	bmin FLOAT,
	bpa FLOAT,
	date_obs VARCHAR(30),
	obsfreq FLOAT,
	chanbw FLOAT,
	nchan FLOAT,
	scanlen FLOAT,
	tbin FLOAT,
	PRIMARY KEY (file_id)
);

LOAD DATA LOCAL
INFILE "/DATA/SITAR_1/whi550/VO/PulsarVO/s70v_summary.csv"
INTO TABLE s70
FIELDS TERMINATED BY ","
(filename,fileloc,hdrver,src_name,raj,decj,rajd,decjd,bmaj,bmin,bpa,date_obs,obsfreq,chanbw,nchan,scanlen,tbin);
