use psrchive;
-- Performing a conesearch around position RA=272.46=18:09:50.4 and DEC=-19.73=-19:43:48
-- This should pick up at least J1809-1943 and J1810-2005 (within 0.5deg of that position).
SELECT pulsar_name, period, dm, freq,
--	raj_hour, raj_minute, raj_second,
--	(raj_hour+raj_minute/60.+raj_second/3600.)*15 as RA,
--	decj_degree, decj_minute, decj_second,
--	(abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree) as DECL,
        (degrees(acos(  cos(radians( (raj_hour+raj_minute/60.+raj_second/3600.)*15 - 272.46) )
			* cos(radians(abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree))
			* cos(radians(-19.73) )
			+ sin(radians(abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree))
			* sin( radians(-19.73) ) 
		     )  
		) ) as angsep
FROM observations
WHERE ( degrees(acos( cos( radians( (raj_hour+raj_minute/60.+raj_second/3600.)*15 - 272.46 ) )
			* cos(radians(abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree))
			* cos(radians(-19.73))
			+ sin(radians(abs(decj_degree)+decj_minute/60.+decj_second/3600.)*sign(decj_degree))
			* sin(radians(-19.73)) 
		    )
		 )) <  0.5
ORDER by angsep;
-- period;
